<?php

class login extends CI_Controller {

    function index() {
        if( $this->session->userdata('isLoggedIn') ) {
            redirect('/');
        } else {
			// Grab the email and password from the form POST
			$email = $this->input->post('email');
			$pass  = $this->input->post('password');
			if($email != "" &&  $pass != "") {
				// Create an instance of the user model
				$this->load->model('user_m');
				//Ensure values exist for email and pass, and validate the user's credentials
				if( $email && $pass && $this->user_m->validate_user($email,$pass)) {
					// If the user is valid, redirect to the main view
					redirect('/');
				} else {
					// Otherwise show the login screen with an error message.
					$this->show_login(true);
				}
			} else {
				$this->show_login(false);
			}
        }
    }

    function show_login( $show_error = false ) {
        $data['error'] = $show_error;
		
        $this->load->helper('form');
        $this->load->view('login',$data);
    }

    function logout_user() {
		$this->session->sess_destroy();
		$this->index();
		redirect('/');
    }	
}
