<!DOCTYPE html>
<!--[if lt IE 7]>
<html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>
<html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>
<html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js"> <!--<![endif]-->
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <title>Southern</title>
  <meta name="description" content="">
  <meta name="viewport" content="width=device-width">

  <link rel="stylesheet" href="<?php echo base_url();?>assets/css/styles.css">
  <link rel="stylesheet" href="<?php echo base_url();?>assets/css/responsive-tabs.css">
  <link rel="stylesheet" href="<?php echo base_url();?>assets/css/style.css">
  <link rel="stylesheet" href="<?php echo base_url();?>assets/css/font-awesome.min.css">
  
  <!--script src="<?php echo base_url();?>assets/js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script-->

</head>
<body>
<header>
	<div class="wrapper">
    	<div class="logo">
        	<a href=""><img src="<?php echo base_url();?>assets/images/logo.png" /></a>
        </div>
        <div class="menu">
        	<ul>
            	<li><a href="">Ship</a>
                	<ul>
                    	<li><a href="javascript:void(0);">Prepare Shipment</a></li>
                    	<li><a href="javascript:void(0);">UPS Pickups</a></li>
                    	<li><a href="javascript:void(0);">Ship to Mailing List</a></li>
                    	<li><a href="javascript:void(0);">Pending Quotes</a></li>
                    	<li><a href="javascript:void(0);">Saved Quotes</a></li>
                    	<li><a href="javascript:void(0);">Suspended Transactions</a></li>
                    	<li><a href="javascript:void(0);">Shipment History</a>
                        	<ul>
                            	<li><a href="<?php echo base_url();?>smallpackage/">Small Package (UPS)</a></li>
                            	<li><a href="javascript:void(0);">Less Than Truckload (LTL)</a></li>
                            	<li><a href="javascript:void(0);">Truckload & Other</a></li>
                            	<li><a href="javascript:void(0);">International Forms</a></li>
                            </ul>
                        </li>
                    	<li><a href="<?php echo base_url();?>rateestimator/">Rate Estimator</a></li>
                    	<li><a href="<?php echo base_url();?>shiptoexternalfile/">Ship to External File</a></li>
                    	<li><a href="javascript:void(0);">UPS Return Shipment</a></li>
                    	<li><a href="javascript:void(0);">Insured Shipments and Claims</a></li>
                    </ul>
                
                </li>
            	<li><a href="">Manage My Data</a>
                	<ul>
                    	<li><a href="<?php echo base_url();?>myinfo/">My Information</a></li>
                    	<li><a href="javascript:void(0);">Printer Preferences</a></li>
                    	<li><a href="javascript:void(0);">Address Book</a></li>
                    	<li><a href="<?php echo base_url();?>preferences/">Preferences</a></li>
                    	<li><a href="javascript:void(0);">UPS Mailing List</a></li>
                    	<li><a href="javascript:void(0);">Packaging</a></li>
                    	<li><a href="javascript:void(0);">Freight Commondities</a></li>
                    	<li><a href="javascript:void(0);">International Commondities</a></li>
                    	<li><a href="<?php echo base_url();?>shipmentreferences/">Shipment References</a></li>
                    	<li><a href="javascript:void(0);">Handling Charges</a></li>
                    	<li><a href="javascript:void(0);">Handling Units</a></li>
                    	<li><a href="javascript:void(0);">Accounts</a></li>
                    	<li><a href="javascript:void(0);">User Logins</a></li>
                    	<li><a href="javascript:void(0);">Vender Logins</a></li>
                    	<li><a href="javascript:void(0);">Import Data</a></li>
                    	<li><a href="javascript:void(0);">Privacy Policy</a></li>
                    	<li><a href="javascript:void(0);">Copyright Notice</a></li>
                    </ul>
                </li>
            	<li><a href="javascript:void(0);">Services</a>
                	<ul>
                    	<li><a href="javascript:void(0);">Contact Us</a></li>
                    	<li><a href="javascript:void(0);">Track Shipments</a>
                        	<ul>
                                <li><a href="javascript:void(0);">UPS</a></li>
                                <li><a href="javascript:void(0);">Freights</a></li>
                            </ul>
                        </li>
                    	<li><a href="javascript:void(0);">Schedule Pickup</a></li>
                    	<li><a href="javascript:void(0);">Order UPS Supplies</a></li>
                    	<li><a href="javascript:void(0);">UPS Transit Times</a></li>
                    	<li><a href="javascript:void(0);">UPS Zone Pricing Chart</a></li>
                    	<li><a href="javascript:void(0);">UPS Drop Box Locator</a></li>
                    	<li><a href="javascript:void(0);">Web Services</a></li>
                    	<li><a href="javascript:void(0);">Terms & Conditions</a></li>
                    	<li><a href="javascript:void(0);">Frequent Questions</a></li>
                    	<li><a href="javascript:void(0);">Help</a></li>
                    </ul>
                </li>
            	<li class="left-side-drop"><a href="javascript:void(0);">Reports</a>
                	<ul>
                    	<li><a href="javascript:void(0);">Shipment Summary</a></li>
                    	<li><a href="javascript:void(0);">Shipment Detail</a></li>
                    	<li><a href="javascript:void(0);">Shipping Overview</a></li>
                    	<li><a href="javascript:void(0);">Small Package Reporting</a></li>
                    	<li><a href="javascript:void(0);">LTL Freight Reporting</a></li>
                    	<li><a href="javascript:void(0);">Truckload Reporting</a></li>
                    
                    </ul>
                </li>
            	<li><a href="<?php echo base_url();?>login/logout_user/">Logout</a></li>
            </ul>
        </div>
    </div>
</header>